Page 72 sur 74

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 04 avr. 2019, 07:36
par Heracles44
snorlax a écrit :
03 avr. 2019, 23:44
Relis mieux plus haut...
Excusez-moi mais je ne vois pas de réponses à ma question.

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 04 avr. 2019, 23:09
par snorlax
Ben tu demandes si c’est possible d’accélérer et je te réponds que non... maintenant ce n’est peut-être pas la réponse que tu souhaitais mais ça c’est un autre sujet 😉

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 05 avr. 2019, 03:04
par glenan
Idaho947 a écrit :
25 mars 2019, 09:05
Aveez vous activer le mode developpeur dans l'application Harmony ?
Je viens de mettre à jour mon hub et le plugin (jusqu'à présent j'étais resté avec le plugin harmony précédent et la version firmware telle qu'expliquée page 61 de ce topic).

Sauf erreur de ma part, il n 'y a pas de mode développeur.
Il y a juste un firmware spécial pour le hub et qui conserve le mode XMPP

Ce soir j'ai fais :

1°) une maj du firmware de mon hub qui est passé de v4.15.210 à v4.15.250 (toujours compatible XMPP)
2°) ensuite la maj du plugin jeedom Harmony (que j'avais bloquée jusqu'à ce jour).
3°) j'ai relancée la création du fichier de config (comme préconisé dans le changelog)

Pour l'instant tout semble fonctionner correctement.

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 05 avr. 2019, 05:55
par Heracles44
snorlax a écrit :
04 avr. 2019, 23:09
Ben tu demandes si c’est possible d’accélérer et je te réponds que non... maintenant ce n’est peut-être pas la réponse que tu souhaitais mais ça c’est un autre sujet 😉
En fait si! On peut accélérer! J’ai trouvé comment faire! Merci quand même! 😉

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 05 avr. 2019, 09:02
par Idaho947
Heracles44 a écrit :
05 avr. 2019, 05:55
snorlax a écrit :
04 avr. 2019, 23:09
Ben tu demandes si c’est possible d’accélérer et je te réponds que non... maintenant ce n’est peut-être pas la réponse que tu souhaitais mais ça c’est un autre sujet 😉
En fait si! On peut accélérer! J’ai trouvé comment faire! Merci quand même! 😉
Tu peux partager stp ?

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 05 avr. 2019, 09:05
par Idaho947
glenan a écrit :
05 avr. 2019, 03:04
Idaho947 a écrit :
25 mars 2019, 09:05
Aveez vous activer le mode developpeur dans l'application Harmony ?
Je viens de mettre à jour mon hub et le plugin (jusqu'à présent j'étais resté avec le plugin harmony précédent et la version firmware telle qu'expliquée page 61 de ce topic).

Sauf erreur de ma part, il n 'y a pas de mode développeur.
Il y a juste un firmware spécial pour le hub et qui conserve le mode XMPP

Ce soir j'ai fais :

1°) une maj du firmware de mon hub qui est passé de v4.15.210 à v4.15.250 (toujours compatible XMPP)
2°) ensuite la maj du plugin jeedom Harmony (que j'avais bloquée jusqu'à ce jour).
3°) j'ai relancée la création du fichier de config (comme préconisé dans le changelog)

Pour l'instant tout semble fonctionner correctement.
Il faut activer l'option developper activé le xmpp.

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 05 avr. 2019, 13:15
par snorlax
Idaho947 a écrit :
05 avr. 2019, 09:02
Heracles44 a écrit :
05 avr. 2019, 05:55
snorlax a écrit :
04 avr. 2019, 23:09
Ben tu demandes si c’est possible d’accélérer et je te réponds que non... maintenant ce n’est peut-être pas la réponse que tu souhaitais mais ça c’est un autre sujet 😉
En fait si! On peut accélérer! J’ai trouvé comment faire! Merci quand même! 😉
Tu peux partager stp ?
Pas le temps, il a « accéléré » donc il est déjà loin 🤣🤣🤣

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 05 avr. 2019, 20:29
par Heracles44
snorlax a écrit :
05 avr. 2019, 13:15
Idaho947 a écrit :
05 avr. 2019, 09:02
Heracles44 a écrit :
05 avr. 2019, 05:55


En fait si! On peut accélérer! J’ai trouvé comment faire! Merci quand même! 😉
Tu peux partager stp ?
Pas le temps, il a « accéléré » donc il est déjà loin 🤣🤣🤣
Mdr! Je viens de voir vos réponses! En fait c'est dans l'App MyHarmony sur PC qu'on a une option pour accélérer la vitesse entre la commande.
Vu que j'ai créé l'humidificateur avec la commande personnalisée, y a une option dans le dispositif qui permet de régler la vitesse... a voir si ca joue sur la vitesse d'exécution jeedom!

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 06 avr. 2019, 02:22
par glenan
Idaho947 a écrit :
glenan a écrit :
05 avr. 2019, 03:04
Idaho947 a écrit :
25 mars 2019, 09:05
Aveez vous activer le mode developpeur dans l'application Harmony ?
Je viens de mettre à jour mon hub et le plugin (jusqu'à présent j'étais resté avec le plugin harmony précédent et la version firmware telle qu'expliquée page 61 de ce topic).

Sauf erreur de ma part, il n 'y a pas de mode développeur.
Il y a juste un firmware spécial pour le hub et qui conserve le mode XMPP

Ce soir j'ai fais :

1°) une maj du firmware de mon hub qui est passé de v4.15.210 à v4.15.250 (toujours compatible XMPP)
2°) ensuite la maj du plugin jeedom Harmony (que j'avais bloquée jusqu'à ce jour).
3°) j'ai relancée la création du fichier de config (comme préconisé dans le changelog)

Pour l'instant tout semble fonctionner correctement.
Il faut activer l'option developper activé le xmpp.
Oui mais répéter il faut activer le mode développeur sans expliquer où et comment ne sert à rien !

Même si ma config fonctionne, c'est toujours utile pour les autres

Envoyé de mon Samsung Note 8 en utilisant Tapatalk



Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 06 avr. 2019, 10:35
par Idaho947
glenan a écrit :
06 avr. 2019, 02:22
Idaho947 a écrit :
glenan a écrit :
05 avr. 2019, 03:04


Je viens de mettre à jour mon hub et le plugin (jusqu'à présent j'étais resté avec le plugin harmony précédent et la version firmware telle qu'expliquée page 61 de ce topic).

Sauf erreur de ma part, il n 'y a pas de mode développeur.
Il y a juste un firmware spécial pour le hub et qui conserve le mode XMPP

Ce soir j'ai fais :

1°) une maj du firmware de mon hub qui est passé de v4.15.210 à v4.15.250 (toujours compatible XMPP)
2°) ensuite la maj du plugin jeedom Harmony (que j'avais bloquée jusqu'à ce jour).
3°) j'ai relancée la création du fichier de config (comme préconisé dans le changelog)

Pour l'instant tout semble fonctionner correctement.
Il faut activer l'option developper activé le xmpp.
Oui mais répéter il faut activer le mode développeur sans expliquer où et comment ne sert à rien !

Même si ma config fonctionne, c'est toujours utile pour les autres

Envoyé de mon Samsung Note 8 en utilisant Tapatalk
Oui mais dans ce cas deux solutions parce que on va pas non plus prendre les gens par la main pour tout :
- Tu lis la doc et tu regarde tout en bas c'est marqué (je n'aime pas dire ça et c'est je crois la première fois que je le dis mais recevoir des réponses comme la tienne m'oblige à le faire)
- Tu trouve pas ? Tu demande gentillement et on te dis où trouver ! Je sais que certains sur ce forum sont plutôt agressifs mais la majorité n'a jamais mangé personne !

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 06 avr. 2019, 11:57
par glenan
Je dis simplement que c'est débile d'intervenir sur un forum qui est fait pour aider les autres pour donner, deux fois de suite, une réponse laconique à un problème.
Regarde mes posts personnels et tu verras que je prend souvent énormément de temps pour expliquer aux autres comment résoudre un problème quand j'en ai la solution. Un lien vers une solution prend moins de temps à indiquer que laisser les autres chercher. Ou alors comme disait Coluche, "on la ferme".

Envoyé de mon Samsung Note 8 en utilisant Tapatalk


Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 06 avr. 2019, 12:18
par snorlax
Détendons nous les amis, tout va bien 😉

Bonne journée à toutes et à tous 👍

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 06 avr. 2019, 12:58
par Idaho947
glenan a écrit :
06 avr. 2019, 11:57
Je dis simplement que c'est débile d'intervenir sur un forum qui est fait pour aider les autres pour donner, deux fois de suite, une réponse laconique à un problème.
Regarde mes posts personnels et tu verras que je prend souvent énormément de temps pour expliquer aux autres comment résoudre un problème quand j'en ai la solution. Un lien vers une solution prend moins de temps à indiquer que laisser les autres chercher. Ou alors comme disait Coluche, "on la ferme".

Envoyé de mon Samsung Note 8 en utilisant Tapatalk
Lorsque j'ai posté je pensais être assez précis puisque le sujet a été abordé plusieurs fois. Mais t'inquiètes pas de soucis. Ce que je dis c'est que si un poste n'est pas clair, malgré le comportement de certains il ne faut pas hésiter a demander et posé des questions. Comme tu dis le forum est fait pour ça ! Sans rancune.

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 06 avr. 2019, 13:56
par glenan
Aucun soucis pour moi non plus si mon message a pu paraître agressif. Ce n'était pas le cas.
Sans rancune non plus.
Peux tu préciser de quelle doc tu parles ?
Celle du plugin ou celle du logiciel Harmony ?

[EDIT]
Trouvé le lien en bas de la doc du plugin :
https://jeedom.github.io/plugin-harmonyhub/fr_FR/

qui mentionne le lien vers le site de Logitech :
https://community.logitech.com/s/questi ... i-via-xmpp

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 06 avr. 2019, 14:51
par glenan
Après avoir lu la doc du plugin ainsi que les informations logitech, je pense toujours qu'il y a confusion mais je peux me tromper.

A savoir la doc du plugin demande d'activer une option développeur
Mais le logiciel Harmony lui propose un firmware réservé développeur (et aucune option à cocher).
Précision importante, pour arriver à cet écran, il faut faire Alt+F9 dès l'accès à l'écran d'accueil du logiciel My Harmony

Ci dessous la photo de l'accès vers le firmware qui valide le XMPP et qui est réservé aux développeur :
20190406_XMPP.jpg
20190406_XMPP.jpg (118.61 Kio) Consulté 753 fois
Depuis la version 4.15.210 et l'actuelle 4.15.250 les deux écrans ont été modifiés par Logitech

L'écran suivant ne propose qu'un restore (traduction confuse Sauf s'il vérifie l'actuelle version firmware qui dans mon cas est déjà la V4.15.250) :
20190406b_XMPP.jpg
20190406b_XMPP.jpg (46.77 Kio) Consulté 753 fois
Comme vous pouvez le voir sur ces deux écrans, il n'y a aucune mention sur une quelconque validation d'un mode développeur.
Si quelqu'un peut mettre un print screen pour indiquer où ça se trouve, ce serait utile.

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 07 avr. 2019, 14:12
par tirikiki
noodom a écrit :
22 mars 2019, 20:33
Voilà pour le lien du tuto :
viewtopic.php?f=142&t=7512&p=644462&hil ... sh#p644462

Je n'ai pas encore mis à jour le plugin Harmony, ni ma télécommande depuis les derniers blocages/déblocages de Logitech.
Je ne sais donc pas te dire si tout fonctionne correctement actuellement..
OK, merci pour ta réponse.
Déçu que cette fonction ne soit pas intégrée au pluging Harmony Hub.

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 13 avr. 2019, 23:10
par mortyre
Heracles44 a écrit :
05 avr. 2019, 20:29
Mdr! Je viens de voir vos réponses! En fait c'est dans l'App MyHarmony sur PC qu'on a une option pour accélérer la vitesse entre la commande.
JE viens que tu en dises plus. J'ai un problème similaire pour mettre une chaîne des que ça dépasse 9 numériquement, genre mettre la chaîne 31.

Si je met les actions en parallèle dans un scénario avec action 1 mettre chaîne 3 et action 2 mettre chaîne 1, aléatoirement ça me met la chaîne 13 ou 31. Pas moyen de forcer l’ordre des commandes pour que ça fasse 31 et pas 13.

Du coup un spleep de 0.5 entre les deux, mais avec actions toujours en parallele ?

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 22 avr. 2019, 14:14
par Ascari
Bonjour,

Lorsque j'installe le plugin impossible d obtenir les dépendances, j'ai un blocage à 60%

Une idée merci

Log Http

Code : Tout sélectionner

DEPRECATION: The default format will switch to columns in the future. You can use --format=(legacy|columns) (or define a format=(legacy|columns) in your pip.conf under the [list] section) to disable this warning.
Log HarmonyUpdate

Code : Tout sélectionner

********************************************************
*             Installation des dépendances             *
********************************************************
Hit:1 http://archive.raspberrypi.org/debian stretch InRelease
Hit:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
python3-dev is already the newest version (3.5.3-1).
python3-setuptools is already the newest version (33.1.1-1).
python3-pip is already the newest version (9.0.1-2+rpt2).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Requirement already satisfied: requests in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/local/lib/python3.5/dist-packages (from requests)
Requirement already satisfied: certifi>=2017.4.17 in /usr/local/lib/python3.5/dist-packages (from requests)
Requirement already satisfied: idna<2.9,>=2.5 in /usr/local/lib/python3.5/dist-packages (from requests)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /usr/local/lib/python3.5/dist-packages (from requests)
Requirement already satisfied: asyncio in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: websockets in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: aiohttp in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: chardet<4.0,>=2.0 in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: yarl<2.0,>=1.0 in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: async-timeout<4.0,>=3.0 in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: idna-ssl>=1.0; python_version < "3.7" in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: multidict<5.0,>=4.0 in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: typing-extensions>=3.6.5; python_version < "3.7" in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: attrs>=17.3.0 in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: idna>=2.0 in /usr/local/lib/python3.5/dist-packages (from yarl<2.0,>=1.0->aiohttp)
********************************************************
*             Installation terminée                    *

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 10 mai 2019, 16:56
par aks
Bonjour,
j'ai tenté d'installer le plugin officiel et ce n'est qu'après qu'est apparu un message indiquant
Attention ce plugin ne semble pas être compatible avec votre système
Et du coup même problème lié aux dépendances qui bloquent à 60%

Suis je condamné à ne pas pouvoir utiliser l'environnement Harmony sur ma jeedom avec mes scénario?


HARMONYHUB LOG:
[2019-05-10 16:32:28][DEBUG] : Lancement de : /var/www/html/core/class/../../core/php/jeePlugin.php plugin_id=harmonyhub function=remove callInstallFunction=1
[2019-05-10 16:47:14][INFO] : Début d'activation du plugin
[2019-05-10 16:47:15][INFO] : Info sur le démon : Array ( [launchable_message] => [launchable] => nok [state] => nok [log] => nok [auto] => 0 )
[2019-05-10 16:47:15][DEBUG] : Lancement de : /var/www/html/core/class/../../core/php/jeePlugin.php plugin_id=harmonyhub function=install callInstallFunction=1

LOG PLUGIN:
********************************************************
* Installation des dépendances *
********************************************************
Hit:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://ftp.fr.debian.org/debian stretch InRelease
Hit:3 http://ftp.fr.debian.org/debian stretch-updates InRelease
Hit:4 http://ftp.fr.debian.org/debian stretch Release
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
python3-pip is already the newest version (9.0.1-2+deb9u1).
python3-setuptools is already the newest version (33.1.1-1).
python3-dev is already the newest version (3.5.3-1).
0 upgraded, 0 newly installed, 0 to remove and 37 not upgraded.
Requirement already satisfied: requests in /usr/lib/python3/dist-packages
Requirement already satisfied: asyncio in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: websockets in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: aiohttp in /usr/local/lib/python3.5/dist-packages
Requirement already satisfied: typing-extensions>=3.6.5; python_version < "3.7" in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: chardet<4.0,>=2.0 in /usr/lib/python3/dist-packages (from aiohttp)
Requirement already satisfied: yarl<2.0,>=1.0 in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: attrs>=17.3.0 in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: idna-ssl>=1.0; python_version < "3.7" in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: async-timeout<4.0,>=3.0 in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: multidict<5.0,>=4.0 in /usr/local/lib/python3.5/dist-packages (from aiohttp)
Requirement already satisfied: idna>=2.0 in /usr/lib/python3/dist-packages (from yarl<2.0,>=1.0->aiohttp)
********************************************************
* Installation terminée *
********************************************************

Système diy
Version Jeedom 3.3.24
Version PHP 7.0.33-0+deb9u3
Version OS Linux JeedomVM 4.9.0-8-amd64 #1 SMP Debian 4.9.130-2 (2018-10-27) x86_64 GNU/Linux [9.7]
Version database 10.1.37-MariaDB-0+deb9u1
NAS Synology 918+

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Publié : 13 mai 2019, 08:36
par Le_Poilu
y'a rien qui dit que ça ne s'est pas installé correctement.

Tu as au moins testé pour voir si ça fonctionne avant de poster ton message ?